# SPEC file for
# oracle-instantclient-basic
# oracle-instantclient-devel
# oracle-instantclient-sqlplus
# oracle-instantclient-jdbc

%define __arch_install_post /bin/true

Summary:    Instant Client for Oracle Database 10g
Name:       oracle-instantclient
Version:    10.2.0.4
Release:    7.2
License:    Oracle
Group:      Applications/File
Url:        http://www.oracle.com/technology/software/tech/oci/instantclient/index.html
Source0:    oracle-instantclient-basic-%{version}-1.i386.zip
Source1:    oracle-instantclient-jdbc-%{version}-1.i386.zip
Source2:    oracle-instantclient-odbc-%{version}-1.i386.zip
Source3:    oracle-instantclient-devel-%{version}-1.i386.zip
Source4:    oracle-instantclient-sqlplus-%{version}-1.i386.zip

Source10:   oracle-instantclient-basic-%{version}.0-linux-x86_64.zip
Source11:   oracle-instantclient-jdbc-%{version}.0-linux-x86_64.zip
Source12:   oracle-instantclient-odbc-%{version}.0-linux-x86_64.zip
Source13:   oracle-instantclient-sdk-%{version}.0-linux-x86_64.zip
Source14:   oracle-instantclient-sqlplus-%{version}.0-linux-x86_64.zip

NoSource:       0
NoSource:       1
NoSource:       2
NoSource:       3
NoSource:       4
NoSource:       10
NoSource:       11
NoSource:       12
NoSource:       13
NoSource:       14

Buildroot:  %{_tmppath}/%{name}-root
BuildArch:      i386 x86_64
%if 0%{?sles_version} == 10
BuildRequires:	unzip
%else
BuildRequires:	unzip
##%ifnarch x86_64
BuildRequires: chrpath
##%endif
%endif

%define topdir  instantclient_10_2
%define _oradir %{_libdir}/oracle
%define _oraverdir %{_libdir}/oracle/%{version}
%define oradir  %{_libdir}/oracle/%{version}/client
%define _incdir %{_includedir}/oracle
%define _incverdir %{_includedir}/oracle/%{version}
%define incdir  %{_includedir}/oracle/%{version}/client

%description
Base files for Instant Client.  Support for OCI, OCCI, 
and JDBC-OCI applications.

%package basic
Summary:    Instant Client for Oracle Database 10g
Group:      Applications/File

%description basic
Base files for Instant Client.  Support for OCI, OCCI,
and JDBC-OCI applications.

%package devel
Summary:    Development headers for Instant Client
Group:      Applications/File
Requires:   %{name}-basic = %version

%description devel
Additional header files and an example Makefile for developing Oracle
applications with Instant Client.

%package jdbc
Summary:    Supplemental JDBC features under Instant Client
Group:      Applications/File
Requires:   %{name}-basic = %version

%description jdbc
Additional support for XA, Internationalization,
and RowSet operations under JDBC.

%package odbc
Summary:    Oracle  ODBC Instant Client for Linux
Group:      Applications/File
Requires:   %{name}-basic = %version

%description odbc
Oracle  ODBC Instant Client for Linux complies with 
ODBC 3.52 specifications. It is based on features of 
Oracle 10.2.0.1.0  ODBC driver for Windows, without 
the need for a traditional ORACLE_HOME installation.

%package sqlplus
Summary:    SQL*Plus for Instant Client
Group:      Applications/File
Requires:   %{name}-basic = %version

%description sqlplus
Additional libraries and executable for running 
SQL*Plus with Instant Client.

%prep
rm -rf %{topdir}

%ifarch i386
unzip %{SOURCE0}
unzip %{SOURCE1}
unzip %{SOURCE2}
unzip %{SOURCE3}
unzip %{SOURCE4}
%else
unzip %{SOURCE10}
unzip %{SOURCE11}
unzip %{SOURCE12}
unzip %{SOURCE13}
unzip %{SOURCE14}
%endif

%install
rm -rf %{buildroot}
cd %{topdir}

%{__mkdir_p} %{buildroot}%{_bindir} 
%{__mkdir_p} %{buildroot}%{oradir}/bin 
%{__mkdir_p} %{buildroot}%{oradir}/lib 
%{__mkdir_p} %{buildroot}%{incdir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d

# Basic
%__install libclntsh.so.10.1    %{buildroot}%{oradir}/lib
%__install libnnz10.so      %{buildroot}%{oradir}/lib
%__install libocci.so.10.1  %{buildroot}%{oradir}/lib
%__install libociei.so      %{buildroot}%{oradir}/lib
%__install libocijdbc10.so  %{buildroot}%{oradir}/lib
%__install classes12.jar    %{buildroot}%{oradir}/lib
%__install ojdbc14.jar      %{buildroot}%{oradir}/lib
%__install genezi       %{buildroot}%{oradir}/bin

echo %{oradir}/lib >%{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

# Devel
%__install -m 644 sdk/include/*.h   %{buildroot}%{incdir}

ln -s libocci.so.10.1   %{buildroot}%{oradir}/lib/libocci.so
ln -s libclntsh.so.10.1 %{buildroot}%{oradir}/lib/libclntsh.so

# SQL*Plus
%__install sqlplus      %{buildroot}%{oradir}/bin
%__install glogin.sql       %{buildroot}%{oradir}/lib
%__install libsqlplus.so    %{buildroot}%{oradir}/lib
%__install libsqlplusic.so  %{buildroot}%{oradir}/lib

ln -sf %{oradir}/bin/sqlplus %{buildroot}%{_bindir}/sqlplus

# JDBC
%__install libheteroxa10.so %{buildroot}%{oradir}/lib
%__install orai18n.jar      %{buildroot}%{oradir}/lib

# ODBC
%__install libsqora.so.10.1 %{buildroot}%{oradir}/lib

## change rpath
%if 0%{?sles_version} == 10
 :
%else
##%ifnarch x86_64
chrpath -d %{buildroot}%{oradir}/bin/genezi
chrpath -d %{buildroot}%{oradir}/bin/sqlplus
chrpath -d %{buildroot}%{oradir}/lib/libclntsh.so.10.1
chrpath -d %{buildroot}%{oradir}/lib/libociei.so
chrpath -d %{buildroot}%{oradir}/lib/libsqlplus.so
chrpath -d %{buildroot}%{oradir}/lib/libsqlplusic.so
##%endif
%endif

#fix doc perms
chmod -x ODBC_IC_Readme_Linux.html ODBCRelnotesJA.htm ODBCRelnotesUS.htm
chmod -x odbc_update_ini.sh


%clean
rm -rf %{buildroot}

%post basic
/sbin/ldconfig 

%postun basic
/sbin/ldconfig

%files basic
%defattr(-,root,root)
%dir %{_oradir}
%dir %{_oraverdir}
%dir %{oradir}
%dir %{oradir}/bin
%dir %{oradir}/lib
%{oradir}/lib/libclntsh.so.10.1
%{oradir}/lib/libnnz10.so
%{oradir}/lib/libocci.so.10.1
%{oradir}/lib/libociei.so
%{oradir}/lib/libocijdbc10.so
%{oradir}/lib/classes12.jar
%{oradir}/lib/ojdbc14.jar
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{oradir}/bin/genezi

%files devel
%defattr(-,root,root)
%doc %{topdir}/sdk/demo
%dir %{_incdir}
%dir %{_incverdir}
%dir %{incdir}
%{oradir}/lib/libclntsh.so
%{oradir}/lib/libocci.so
%{incdir}/*

%post sqlplus
/sbin/ldconfig 

%postun sqlplus
/sbin/ldconfig

%files sqlplus
%defattr(-,root,root)
%{_bindir}/sqlplus
%{oradir}/bin/sqlplus
%{oradir}/lib/glogin.sql
%{oradir}/lib/libsqlplus.so
%{oradir}/lib/libsqlplusic.so

%post jdbc
/sbin/ldconfig

%postun
/sbin/ldconfig

%files jdbc
%defattr(-,root,root)
%{oradir}/lib/libheteroxa10.so
%{oradir}/lib/orai18n.jar

%post odbc
/sbin/ldconfig

%postun odbc
/sbin/ldconfig


%files odbc
%defattr(-,root,root)
%doc %{topdir}/ODBC_IC_Readme_Linux.html %{topdir}/ODBCRelnotesJA.htm %{topdir}/ODBCRelnotesUS.htm
%doc %{topdir}/odbc_update_ini.sh
%{oradir}/lib/libsqora.so.10.1

%changelog
* Thu Oct 02 2008 Carsten Schoene <cs@linux-administrator.com> 10.2.0.4-1
- update to 10.2.0.4

* Sun Aug 19 2007 Ciro Iriarte <ciriarte@personal.net.py> 10.2.0.3-3.###.remi
- added genezi to basic package

* Tue May 22 2007 Remi Collet <RPMS@famillecollet.com> 10.2.0.3-3.fc6.remi
- merge 32/64 spec file for mock

* Tue Nov 14 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.3-1.fc6.remi
- update to 10.2.0.3

* Tue Nov 14 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-3.fc6.remi
- FC6.x86_64 build (conditional targetname & datever)

* Thu Oct 26 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-2.fc6.remi
- FC6.i386 build 

* Fri Jun 23 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-2.fc5.remi
- Switch back to defaut oracle strategie.
- add /etc/ld.so.conf.d/oracle-instantclient.conf

* Fri Jun 23 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-1.fc5.remi
- initial RPM
